Subject: bug#23927: 25.0.94; Errors when updating using package.el

From: Clément Pit--Claudel <[email-masked]>
Date: Wed, 13 Jul 2016 22:49:57 +0200

On 2016-07-13 19:14, Glenn Morris wrote:
> Live System User wrote:
>>> The OP has some broken info.el early in their load-path, presumably one
>>> that isn't part of Emacs.
>>
>>   There is a MELPA package I have installed called "realgud" that
>>   has the file:
>>
>>       ~/.emacs.d/elpa/realgud/common/buffer/info.el(.elc)
>>
>>   Perhaps package.el should deal with this type of issue, otherwise
>>   package authors will have to avoid naming their .el files names
>>   that are the same as (some) Emacs library names?
> 
> Emacs uses a PATH-type lookup in which first match wins. Twas ever thus.
> ("Private" namespaces are possible using the subdirectory approach used
> by eg cedet in Emacs.)

Sorry, I didn't follow this very closely. I'm one of the Realgud maintainers; is there anything we can do on our side to make things smoother?

Clément.